## ThunarRenamerDialog ThunarRenamerDialog |

## Functions

void | thunar_show_renamer_dialog ()

## Properties

ThunarFile * | current-directory | Read / Write
ThunarxFileInfoList * | selected-files | Read
gboolean | standalone | Read / Write

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── ThunarAbstractDialog
                                    ╰── ThunarRenamerDialog

## Description

## Functions

### thunar_show_renamer_dialog ()

    void
    thunar_show_renamer_dialog (gpointer parent,
                                ThunarFile *current_directory,
                                GList *files,
                                gboolean standalone,
                                const gchar *startup_id);

Convenience function to display a ThunarRenamerDialog with the given parameters.

#### Parameters

parent | the GtkWidget or the GdkScreen on which to open the dialog. May also be `NULL` in which case the default GdkScreen will be used. |
current_directory | the current directory for the ThunarRenamerDialog, which is used as default folder for the "Add Files" dialog. May also be `NULL` in which case the current directory of the file manager process will be used. |
files | the list of ThunarFiles to rename. |
standalone | whether the dialog should appear like a standalone application instead of an integrated renamer dialog. |
startup_id | startup id to set on the window or `NULL`. |

## Property Details

### The `“current-directory”` property

      “current-directory”        ThunarFile *

The current directory of the ThunarRenamerDialog, which is the default directory for the "Add Files" dialog. May also be `NULL` in which case the default current directory of the file manager process will be used.

Owner: ThunarRenamerDialog

Flags: Read / Write

### The `“selected-files”` property

      “selected-files”           ThunarxFileInfoList *

The list of currently selected ThunarFiles in this ThunarRenamerDialog.

Owner: ThunarRenamerDialog

Flags: Read

### The `“standalone”` property

      “standalone”               gboolean

`TRUE` if the ThunarRenamerDialog should display a toolbar and add several actions which are only useful in a standalone fashion.

If the ThunarRenamerDialog is opened from within Thunar this property will always be `FALSE`.

Owner: ThunarRenamerDialog

Flags: Read / Write

Default value: FALSE